This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
discards 52fb30b Use xargs rather than expansion to kill sleeper
discards a267189 Expand target_dir earlier
discards 0a45110 get_thing always downloads to a tmpdir
new faae130 Ensure that maindir is an abs path
new 3d49629 get_thing always downloads to a tmpdir
new c6f73b8 Expand target_dir earlier
new 211d2e5 Use xargs rather than expansion to kill sleeper
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (52fb30b)
\
N -- N -- N refs/heads/bernie/benchmarking (211d2e5)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 4 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
scripts/Benchmark.job | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
discards 86dbf67 Use xargs rather than expansion to kill sleeper
discards 5dfd486 Expand target_dir earlier
discards 40c0503 get_thing always downloads to a tmpdir
new 0a45110 get_thing always downloads to a tmpdir
new a267189 Expand target_dir earlier
new 52fb30b Use xargs rather than expansion to kill sleeper
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (86dbf67)
\
N -- N -- N refs/heads/bernie/benchmarking (52fb30b)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
scripts/Benchmark.job | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 045616d Fix test failure on Solaris 9 where strtod() does not accept [...]
new f91992a Add todo comment for move_sese_region_to_fn
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/ChangeLog | 4 ++++
gcc/tree-cfg.c | 6 +++++-
2 files changed, 9 insertions(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
The following commit(s) were added to refs/heads/bernie/benchmarking by this push:
new 86dbf67 Use xargs rather than expansion to kill sleeper
86dbf67 is described below
commit 86dbf675989c2eed0ac8284b3914af1c74403aed
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Aug 11 11:19:06 2015 +0200
Use xargs rather than expansion to kill sleeper
Killing the sleeper on LAVA target releases that target. Was doing
this with a nested command 'kill $(cat /root/sleeper)', but this
is always confusing in shell. Changed to use xargs instead.
Change-Id: I0849843c13b9b899f1032f406974434e5df2a937
---
config/bench/lava/host-session | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 54f2833..3a8065e 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -51,7 +51,7 @@ fi
#Non-parameters that we need to pass to Benchmark.job
export ABE_DIR
export post_build_cmd="rm ${HOME}/data/socket"
-export post_target_cmd='kill \\$(cat /root/sleeper)'
+export post_target_cmd="cat /root/sleeper | xargs kill"
export maindir="/${HOME}/bench"
mkdir "${maindir}" || exit 1
chmod 700 "${maindir}" || exit 1
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
The following commit(s) were added to refs/heads/bernie/benchmarking by this push:
new 5dfd486 Expand target_dir earlier
5dfd486 is described below
commit 5dfd4867f918dd964734f980c1b7b5ff37565c47
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Aug 11 11:14:11 2015 +0200
Expand target_dir earlier
Cosmetic change - it'll be expanded on host anyway. But makes the
log easier to read.
Change-Id: I028529f2701acb2ecac40ed42b8108ffe4b39d45
---
scripts/runbenchmark.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/scripts/runbenchmark.sh b/scripts/runbenchmark.sh
index 7be7a14..e45c1d8 100755
--- a/scripts/runbenchmark.sh
+++ b/scripts/runbenchmark.sh
@@ -202,7 +202,7 @@ fi
#Today LAVA lab does not provide DNS, but IP seems stable in practice
#Rather than work around lack of DNS, just make sure we notice if the IP changes
while ! tcpdump -c 1 -i eth0 'icmp and icmp[icmptype]=icmp-echo' | grep -q "${ip} [...]
-error="`(. ${topdir}/lib/common.sh; remote_exec "${ip}" 'cat ${target_dir}/RETCODE [...]
+error="`(. ${topdir}/lib/common.sh; remote_exec "${ip}" "cat ${target_dir}/RETCODE [...]
if test $? -ne 0; then
echo "Unable to determine exit code, assuming the worst." 1>&2
error=1
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
discards d4231ca Stop pinging on removal of target dir
discards 8bea2e5 Echo all commands in Benchmark.job
discards a09d2f5 Write/read pid of sleeper in file
discards 8d7f93e wip: debugging printfs
new 31a82c54 Write/read pid of sleeper in file
new 68d516c Echo all commands in Benchmark.job
new 067c1df Stop pinging on removal of target dir
new c092629 Extend comment
new 023507b Fix command to remove benchmark tarball
new 843232c Use local thing rather than global prebuilt
new 73bbea5 Normalize thing and report it unconditionally
new 40c0503 get_thing always downloads to a tmpdir
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (d4231ca)
\
N -- N -- N refs/heads/bernie/benchmarking (40c0503)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 8 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
scripts/Benchmark.job | 32 +++++++++++++-------------------
1 file changed, 13 insertions(+), 19 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
The following commit(s) were added to refs/heads/bernie/benchmarking by this push:
new d4231ca Stop pinging on removal of target dir
d4231ca is described below
commit d4231ca88d4874661f4b829b26c041ae08da32ab
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Aug 11 10:01:41 2015 +0200
Stop pinging on removal of target dir
Previous method checked for non-existence of a file that could
be created and deleted between checks. This method will always
exit.
Change-Id: Ifc8c5ecc2b744c21e77fafe07e161ac5a34993ec
---
scripts/runbenchmark.sh | 6 +-----
1 file changed, 1 insertion(+), 5 deletions(-)
diff --git a/scripts/runbenchmark.sh b/scripts/runbenchmark.sh
index 5bb8f51..7be7a14 100755
--- a/scripts/runbenchmark.sh
+++ b/scripts/runbenchmark.sh
@@ -183,7 +183,7 @@ fi
../controlledrun.sh ${cautious} ${flags} -l ${tee_output} -- ./linarobench.sh [...]
ret=\\\$?; \
echo \\\${ret} > ${target_dir}/RETCODE && \
- while ! test -e ${target_dir}/postrunack; do \
+ while test -e ${target_dir}; do \
ping -c 1 ${host_ip}; \
sleep 11; \
done; \
@@ -202,10 +202,6 @@ fi
#Today LAVA lab does not provide DNS, but IP seems stable in practice
#Rather than work around lack of DNS, just make sure we notice if the IP changes
while ! tcpdump -c 1 -i eth0 'icmp and icmp[icmptype]=icmp-echo' | grep -q "${ip} [...]
-if ! (. ${topdir}/lib/common.sh; remote_exec "${ip}" "touch ${target_dir}/postruna [...]
- echo "Warning: Failed to send post-run ack to target"
- #Don't set $error, this is just a warning
-fi
error="`(. ${topdir}/lib/common.sh; remote_exec "${ip}" 'cat ${target_dir}/RETCODE [...]
if test $? -ne 0; then
echo "Unable to determine exit code, assuming the worst." 1>&2
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
discards d361e0b Write/read pid of sleeper in file
discards 40d479a wip: debugging printfs
new 8d7f93e wip: debugging printfs
new a09d2f5 Write/read pid of sleeper in file
new 8bea2e5 Echo all commands in Benchmark.job
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (d361e0b)
\
N -- N -- N refs/heads/bernie/benchmarking (8bea2e5)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
scripts/Benchmark.job | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
The following commit(s) were added to refs/heads/bernie/benchmarking by this push:
new d361e0b Write/read pid of sleeper in file
d361e0b is described below
commit d361e0bbda067046450da8ca7907ae25bee7cec1
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Tue Aug 11 09:40:42 2015 +0200
Write/read pid of sleeper in file
Better than kill pidof approach - there may be other sleep
processes running (for example, in the ping loop). If these sleep
processes exit at an inconvenient moment, the kill command fails
before killing the significant sleep.
Change-Id: Id187e614d5e91770ca25e0dcf6e833ec797a3ae6
---
config/bench/lava/host-session | 2 +-
config/bench/lava/target-session | 4 +++-
2 files changed, 4 insertions(+), 2 deletions(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 4e86d27..54f2833 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -51,7 +51,7 @@ fi
#Non-parameters that we need to pass to Benchmark.job
export ABE_DIR
export post_build_cmd="rm ${HOME}/data/socket"
-export post_target_cmd='kill \\$(pidof sleep)'
+export post_target_cmd='kill \\$(cat /root/sleeper)'
export maindir="/${HOME}/bench"
mkdir "${maindir}" || exit 1
chmod 700 "${maindir}" || exit 1
diff --git a/config/bench/lava/target-session b/config/bench/lava/target-session
index f042d82..8c73bb1 100755
--- a/config/bench/lava/target-session
+++ b/config/bench/lava/target-session
@@ -1,3 +1,5 @@
#!/bin/bash
lava-network broadcast eth0
-sleep infinity
+sleep infinity&
+echo $! > /root/sleeper
+wait $!
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from a33119d Daily bump.
new 045616d Fix test failure on Solaris 9 where strtod() does not accept [...]
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
libiberty/ChangeLog | 7 +++++++
libiberty/d-demangle.c | 15 ++++-----------
libiberty/testsuite/d-demangle-expected | 22 +++++++++++-----------
3 files changed, 22 insertions(+), 22 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.